Subject: bug#54341: 29.0.50; dired-do-flagged-delete: file already exists error

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 12 Mar 2022 18:59:38 +0100

Jean Louis <[email-masked]> writes:

> I am deleting to Trash with x from Dired, though in Trash I have this
>   file symlink:
>
>   lrwxrwxrwx  1 admin admin       150 Jan 29 10:09 Certificate.pdf -> hyperscope/1/6/1/2022/01/2022-01-29/Certificate.pdf
>
> and in ~ I have this same file:
>
>   lrwxrwxrwx     1 admin admin       150 Jan 30 14:06 Certificate.pdf -> hyperscope/1/6/1/2022/01/2022-01-29/Certificate.pdf
>
> This condition does not work with x as:
>
> dired-do-flagged-delete: file already exists error

I'm unable to reproduce this in Emacs 29.  Do you have a recipe to
reproduce the problem, starting from "emacs -Q"?

> In GNU Emacs 29.0.50 (build 3, x86_64-pc-linux-gnu, X toolkit, cairo version 1.17.4, Xaw3d scroll bars)
>  of 2022-02-18 built on protected.rcdrun.com
> Repository revision: 51e51ce2df46fc0c6e17a97e74b00366bb9c09d8

But perhaps this has been fixed in the weeks since you've last built
Emacs.  Try updating Emacs first.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no